
<h1 class="title">Escorts</h1>
<?

foreach($this->escorts as $escort):
    $escort = new Model_EscortV2Item($escort); 
?>
<div class="escort">
    <p class="showname"><?= $escort->showname ?></p>
    <a href="<?=$this->getLink('profile', array('showname' => $escort->showname, 'escort_id' => $escort->id ), true);?>"><img src="<?= $escort->getMainPhoto()->getUrl('m95') ?>" width="95" height="129" alt="" /></a>
    <div class="city">
        Escorte a <?= $escort->city ?>
    </div>
    <div>
        
        <? if($escort->incall_type): ?>
        <img src="/m/i/incall.png" width="11" height="10" alt="" />
        <? endif; ?>
        <? if($escort->outcall_type): ?>
        <img src="/m/i/outcall.png" width="12" height="10" alt="" />
        <? endif; ?>
    </div>
</div>
<? endforeach; ?>
<div class="clear"></div>

<?
$config = Zend_Registry::get('mobile_config');
$config = $config['escorts'];

$pages_count = ceil($this->count / $config['perPage']);

$uri = $_SERVER['REQUEST_URI'];
$uri = preg_replace('#/[0-9]+$#', '', $uri);

//$pos = strpos($uri, '&page=');
//if ($pos !== FALSE)
//	$uri = substr($uri, 0, $pos);

?>
<? if( $pages_count != 1 ): ?>
<div class="paging-list">
	<? $pages = $this->paging($this->count, $this->page, $config['perPage'], 5, 2); ?>
	<? if ( 1 < $this->page): ?>
	<? $this->page == 2 ? $p = null : $p = '/' . ($this->page - 1); ?>
<!--    <a href="<?= $uri . $p ?>" > <?= $this->t('previous') ?></a>-->
     <a href="<?=$this->getLink('pager',array('page' => $p,'request_url' => $uri ), true)?>" > <?= $this->t('previous') ?></a>
    
	<? endif ?>

	<? foreach ( $pages as $page ): ?>

	<? if ( $this->page == $page ): ?>
	<span class="active"><?= $page ?></span>
	<? else: ?>
	<? $page == 1 ? $p = null : $p = '/' . $page ?>
    <a class="number" href="<?=$this->getLink('pager',array('page' => $p,'request_url' => $uri ), true)?>" ><?= $page ?></a>
	<? endif ?>

	<? endforeach ?>

	<? if ( $pages_count > $this->page): ?>
	<? $p = '/' . ($this->page + 1); ?>
	<a href="<?=$this->getLink('pager',array('page' => $p,'request_url' => $uri ), true)?>" ><?= $this->t('next') ?> </a>
	<? endif ?>
</div>
<? endif; ?>


<div class="clear"></div>


